# The "AnimateControl" Widget

This widget provides an animation control in a popup.

Library: karmawidgets
Link With: -lkarmawidgets

#### Tables

AnimateControl_ResourceNames | List of resource names for AnimateControl widget
AnimateControl_Resources | List of resources for AnimateControl widget

#### Functions

XkwAnimateControlPopdown | Pop down the widget.

## Tables

AnimateControl_ResourceNames List of resource names for AnimateControl widget

Name | Purpose
XkwNnumFrames | The number of frames in the movie
XkwNstartFrame | The starting frame number
XkwNendFrame | The end frame number
XkwNcurrentFrame | The current frame number
XkwNnewFrameCallback | The callback when a new frame should be displayed

AnimateControl_Resources List of resources for AnimateControl widget

Name | Class | Rep. Type | Default
XkwNnumFrames | XkwCNumFrames | XtRInt | 0
XkwNstartFrame | XkwCStartFrame | XtRInt | 0
XkwNendFrame | XkwCEndFrame | XtRInt | 0
XkwNcurrentFrame | XkwCCurrentFrame | XtRInt | 0
XkwNnewFrameCallback | XtCCallback | XtRCallback | NULL

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwAnimateControlPopdown (Widget W)

Pop down the widget.

Parameters:

- W : The AnimateControl widget.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page